Yate

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
XmlChild Class Reference

Xml Child. More...

`#include <yatexml.h>`

Inheritance diagram for XmlChild:

## Public Member Functions
| XmlChild ()
virtual void | setParent (XmlParent *parent)
virtual XmlElement * | xmlElement ()
virtual XmlComment * | xmlComment ()
virtual XmlCData * | xmlCData ()
virtual XmlText * | xmlText ()
virtual XmlDeclaration * | xmlDeclaration ()
virtual XmlDoctype * | xmlDoctype ()
virtual void | replaceParams (const NamedList &params)
Public Member Functions inherited from GenObject
| GenObject ()
virtual | ~GenObject ()
virtual bool | alive () const
virtual void | destruct ()
virtual const String & | toString () const
virtual const String & | traceId () const
virtual void * | getObject (const String &name) const
NamedCounter * | getObjCounter () const
NamedCounter * | setObjCounter (NamedCounter *counter)

## Friends
class | XmlDomParser

## Additional Inherited Members
Static Public Member Functions inherited from GenObject
static void * | getObject (const String &name, const GenObject *obj)
static bool | getObjCounting ()
static void | setObjCounting (bool enable)
static NamedCounter * | getObjCounter (const String &name, bool create=true)
static ObjList & | getObjCounters ()

## Detailed Description

Xml Child.

Xml Child for Xml document

## Constructor & Destructor Documentation

XmlChild | ( |  | ) |

Constructor

## Member Function Documentation

virtual void replaceParams | ( | const NamedList & | params | ) |
| inline virtual

Replaces all ${paramname} with the corresponding parameters

Parameters

  params | List of parameters

Reimplemented in XmlText, and XmlElement.

virtual void setParent | ( | XmlParent * | parent | ) |
| inline virtual

Set this child's parent

Parameters

  parent | Parent of this child

Reimplemented in XmlElement.

virtual XmlCData* xmlCData | ( |  | ) |
| inline virtual

Get a Xml CData

Returns
  0

Reimplemented in XmlCData.

virtual XmlComment* xmlComment | ( |  | ) |
| inline virtual

Get a Xml comment

Returns
  0

Reimplemented in XmlComment.

virtual XmlDeclaration* xmlDeclaration | ( |  | ) |
| inline virtual

Get a Xml declaration

Returns
  0

Reimplemented in XmlDeclaration.

virtual XmlDoctype* xmlDoctype | ( |  | ) |
| inline virtual

Get a Xml doctype

Returns
  0

Reimplemented in XmlDoctype.

virtual XmlElement* xmlElement | ( |  | ) |
| inline virtual

Get a Xml element

Returns
  0

Reimplemented in XmlElement.

virtual XmlText* xmlText | ( |  | ) |
| inline virtual

Get a Xml text

Returns
  0

Reimplemented in XmlText.

The documentation for this class was generated from the following file:

- yatexml.h